from django.urls import include, path
from django.views.generic import RedirectView

from servala.frontend import views

urlpatterns = [
    path("accounts/profile/", views.ProfileView.as_view(), name="profile"),
    path("accounts/logout/", views.LogoutView.as_view(), name="logout"),
    path(
        "organizations/create",
        views.OrganizationCreateView.as_view(),
        name="organization.create",
    ),
    path(
        "<slug:organization>/",
        include(
            [
                path(
                    "",
                    views.OrganizationDashboardView.as_view(),
                    name="organization.dashboard",
                ),
            ]
        ),
    ),
    path("", RedirectView.as_view(pattern_name="frontend:profile"), name="index"),
]
