from django.shortcuts import redirect
from django.views.generic import FormView, TemplateView

from servala.frontend.forms import OrganizationCreateForm


class OrganizationCreateView(FormView):
    form_class = OrganizationCreateForm
    template_name = "frontend/organizations/create.html"

    def form_valid(self, form):
        instance = form.instance.create_organization(
            form.instance, owner=self.request.user
        )
        return redirect(instance.get_absolute_url())


class OrganizationDashboardView(TemplateView):
    template_name = "frontend/organizations/dashboard.html"
